RDKit: DistGeom::FourthDimContrib Class Reference

| RDKit Open-source cheminformatics and machine learning.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
DistGeom::FourthDimContrib Class Reference

`#include <FourthDimContrib.h>`

Inheritance diagram for DistGeom::FourthDimContrib:

## Public Member Functions
| FourthDimContrib ()
| FourthDimContrib (ForceFields::ForceField *owner, unsigned int idx, double weight)
| Constructor. More...
double | getEnergy (double *pos) const
| return the contribution of this contrib to the energy of a given state More...
void | getGrad (double *pos, double *grad) const
| calculate the contribution of this contrib to the gradient at a given More...
virtual FourthDimContrib * | copy () const
| return a copy More...
Public Member Functions inherited from ForceFields::ForceFieldContrib
| ForceFieldContrib ()
| ForceFieldContrib (ForceFields::ForceField *owner)
virtual | ~ForceFieldContrib ()

## Additional Inherited Members
Protected Attributes inherited from ForceFields::ForceFieldContrib
ForceField * | dp_forceField
| our owning ForceField More...

## Detailed Description

A term used in penalizing chirality violations

Definition at line 14 of file FourthDimContrib.h.

## Constructor & Destructor Documentation

DistGeom::FourthDimContrib::FourthDimContrib | ( |  | ) |
| inline

Definition at line 16 of file FourthDimContrib.h.

Referenced by copy().

DistGeom::FourthDimContrib::FourthDimContrib | ( | ForceFields::ForceField * | owner,
|  | unsigned int | idx,
|  | double | weight
| ) |  |
| inline

Constructor.

Parameters

  owner | pointer to the owning ForceField
  idx | the index of the atom to be considered
  weight | (optional) the weight to be used for this contrib

Definition at line 25 of file FourthDimContrib.h.

References ForceFields::ForceField::dimension(), ForceFields::ForceFieldContrib::dp_forceField, and PRECONDITION.

## Member Function Documentation

virtual FourthDimContrib* DistGeom::FourthDimContrib::copy | ( |  | ) | const
| inlinevirtual

return a copy

Implements ForceFields::ForceFieldContrib.

Definition at line 53 of file FourthDimContrib.h.

References FourthDimContrib().

double DistGeom::FourthDimContrib::getEnergy | ( | double * | pos | ) | const
| inlinevirtual

return the contribution of this contrib to the energy of a given state

Implements ForceFields::ForceFieldContrib.

Definition at line 34 of file FourthDimContrib.h.

References ForceFields::ForceField::dimension(), ForceFields::ForceFieldContrib::dp_forceField, and PRECONDITION.

void DistGeom::FourthDimContrib::getGrad | ( | double * | pos,
|  | double * | grad
| ) |  | const
| inlinevirtual

calculate the contribution of this contrib to the gradient at a given

Implements ForceFields::ForceFieldContrib.

Definition at line 45 of file FourthDimContrib.h.

References ForceFields::ForceField::dimension(), ForceFields::ForceFieldContrib::dp_forceField, and PRECONDITION.

The documentation for this class was generated from the following file:

- FourthDimContrib.h